kssl-5.43.0-1.1.i586.rpm


Advertisement

Description

kssl - Code and utilities to ease the transition to KDE Frameworks 5

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package name kssl
Package version 5.43.0
Package release 1.1
Package architecture i586
Package type rpm
Installed size 477.19 KB
Download size 151.27 KB
Official Mirror widehat.opensuse.org
This package includes CMake macros and C++
classes whose functionality has been replaced by code in CMake, Qt and
other frameworks.
Code should aim to port away from this framework eventually.  The API
documentation of the classes in this framework and the notes at
<http://community.kde.org/Frameworks/Porting_Notes> should help with
this.
Note that some of the classes in this framework, especially
KStandardDirs, may not work correctly unless any libraries and other
software using the KDE4 Support framework are installed to the same
location as KDELibs4Support, although it may be sufficient to set the
KDEDIRS environment variable correctly.

Alternatives

Package Version Architecture Repository
kssl-5.52.0-183.1.x86_64.rpm 5.52.0 x86_64 KDE Frameworks 5
kssl-5.52.0-183.1.i586.rpm 5.52.0 i586 KDE Frameworks 5
kssl-5.51.0git.20181209T110247~5cd21038-12.1.i586.rpm 5.51.0git.20181209T110247~5cd21038 i586 KDE Frameworks Unstable
kssl-5.51.0git.20181209T110247~5cd21038-12.1.x86_64.rpm 5.51.0git.20181209T110247~5cd21038 x86_64 KDE Frameworks Unstable
kssl-5.43.0-1.1.x86_64.rpm 5.43.0 x86_64 openSUSE Oss
kssl - - -

Requires

Name Value
libKF5ConfigWidgets.so.5 -
libKF5CoreAddons.so.5 -
libKF5I18n.so.5 -
libKF5KIOCore.so.5 -
libKF5KIOWidgets.so.5 -
libKF5WidgetsAddons.so.5 -
libQt5Core.so.5 -
libQt5Core.so.5(Qt_5) -
libQt5Core.so.5(Qt_5.10) -
libQt5Network.so.5 -
libQt5Network.so.5(Qt_5) -
libQt5Widgets.so.5 -
libQt5Widgets.so.5(Qt_5) -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.4) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Provides

Name Value
kssl = 5.43.0-1.1
kssl(x86-32) = 5.43.0-1.1

Download

Type URL
Binary Package kssl-5.43.0-1.1.i586.rpm
Source Package kdelibs4support-5.43.0-1.1.src.rpm

Install Howto

Install kssl rpm package:

# zypper install kssl

Files

Path
/etc/xdg/ksslcalist

See Also

Package Description
kst-2.0.8-6.1.i586.rpm Real-Time Data Viewing and Plotting Tool with Basic Data Analysis Functionality
kst-2.0.8-6.1.x86_64.rpm Real-Time Data Viewing and Plotting Tool with Basic Data Analysis Functionality
kst-devel-2.0.8-6.1.i586.rpm Development files for kst
kst-devel-2.0.8-6.1.x86_64.rpm Development files for kst
kstars-2.9.3-1.1.i586.rpm Desktop Planetarium
kstars-2.9.3-1.1.x86_64.rpm Desktop Planetarium
kstars-lang-2.9.3-1.1.noarch.rpm Translations for package kstars
ksudoku-17.12.1-1.1.i586.rpm Generate and Solve Sudoku puzzles in 2D or 3D
ksudoku-17.12.1-1.1.x86_64.rpm Generate and Solve Sudoku puzzles in 2D or 3D
ksudoku-lang-17.12.1-1.1.noarch.rpm Translations for package ksudoku
ksysguard5-5.12.3-1.1.i586.rpm KDE System Guard daemon
ksysguard5-5.12.3-1.1.x86_64.rpm KDE System Guard daemon
ksysguard5-lang-5.12.3-1.1.noarch.rpm Translations for package ksysguard5
ksystemlog-17.12.2-1.1.i586.rpm System Log Viewer Tool
ksystemlog-17.12.2-1.1.x86_64.rpm System Log Viewer Tool
Advertisement
Advertisement